
-- main window settings
sMainWindowSize = { 221,56 }; 
sMainWindowLocation = { 517,837 };
sMainWindowBackColorOpacity = 1.0;   -- used if image is set to nil
sMainWindowBackColor = { 0.9,0.1,0.5 };   -- used if image is set to nil
sMainWindowImageD = "DhorPlugins/ChampionFervour/Resources/RKstyle/rkStyleDefault.tga";
sMainWindowImageA = "DhorPlugins/ChampionFervour/Resources/RKstyle/rkStyleArdour.tga";
sMainWindowImageF = "DhorPlugins/ChampionFervour/Resources/RKstyle/rkStyleFervour.tga";
sMainWindowImageG = "DhorPlugins/ChampionFervour/Resources/RKstyle/rkStyleGlory.tga";

-- fervour number settings 
--[[ going to set the opacities to zero since I don't want to display ]]--
--[[ the number at all                                                ]]--
sFNumberSize = { 19,19 };
sFNumberLocation = { 244, 7 };
sFNumberBackColorOpacity = 0.0;   -- used if image is set to nil
sFNumberTextColorOpactiy = 0.0;

-- default Number color
--[[ setting the image to nil since I don't want to show it ]]--
--[[ color won't matter since opacity is zero               ]]--
sFNumberTextColorD = { 0.0,0.0,0.0 };
sFNumberBackColorD = { 0.5,0.5,0.5 };   -- used if image is set to nil
sFNumberImageD = "nil";

-- Ardour Number Color
sFNumberTextColorA = { 0.1,0.1,0.1 };
sFNumberBackColorA = { 0.5,0.5,0.5 };   -- used if image is set to nil
sFNumberImageA = "nil";

-- Fervour Number Color
sFNumberTextColorF = { 0.1,0.1,0.1 };
sFNumberBackColorF = { 0.5,0.5,0.5 };   -- used if image is set to nil
sFNumberImageF = "nil";

-- Glory Number Color
sFNumberTextColorG = { 0.1,0.1,0.1 };
sFNumberBackColorG = { 0.5,0.5,0.5 };   -- used if image is set to nil
sFNumberImageG = "nil";

-- pip sizes, one pair for each pip
sFPipSizes = {
{ 200,25 },
{ 200,25 },
{ 200,25 },
{ 200,25 },
{ 200,25 }
};

-- pip locations, note these are in relation to the upper left corner of the 
-- plugin, not the entire window.
sFPipLocations = {
{ 11, 13 },
{ 11, 13 },
{ 11, 13 },
{ 11, 13 },
{ 11, 13 }
};

-- opacity of the pip background if the image is set to nil
--[[ don't need to worry about the opacity or color of the pips since ]]--
--[[ I will be using images for each                                  ]]--
sFPipBackColorOpacity = 1.0;

-- Default PIP colors, one for each pip.  Only visible if the image for
-- the PIP is set to nil
sFPipBackColorsD = {
{ 0.5,0.5,0.5 },
{ 0.5,0.5,0.5 },
{ 0.5,0.5,0.5 },
{ 0.5,0.5,0.5 },
{ 0.5,0.5,0.5 }
};

-- Ardour PIP colors, one for each pip.  Only visible if the image for
-- the PIP is set to nil
sFPipBackColorsA = {
{ 0.5,0.5,0.5 },
{ 0.5,0.5,0.5 },
{ 0.5,0.5,0.5 },
{ 0.5,0.5,0.5 },
{ 0.5,0.5,0.5 }
};

-- Fervour PIP colors, one for each pip.  Only visible if the image for
-- the PIP is set to nil
sFPipBackColorsF = {
{ 0.5,0.5,0.5 },
{ 0.5,0.5,0.5 },
{ 0.5,0.5,0.5 },
{ 0.5,0.5,0.5 },
{ 0.5,0.5,0.5 }
};

-- Glory PIP colors, one for each pip.  Only visible if the image for
-- the PIP is set to nil
sFPipBackColorsG = {
{ 0.5,0.5,0.5 },
{ 0.5,0.5,0.5 },
{ 0.5,0.5,0.5 },
{ 0.5,0.5,0.5 },
{ 0.5,0.5,0.5 }
};

--[[ using the same images for each stance ]]--
--Default PIP images, one for each pip
sFPipImageD = {
"DhorPlugins/ChampionFervour/Resources/RKstyle/Pip_1.tga",
"DhorPlugins/ChampionFervour/Resources/RKstyle/Pip_2.tga",
"DhorPlugins/ChampionFervour/Resources/RKstyle/Pip_3.tga",
"DhorPlugins/ChampionFervour/Resources/RKstyle/Pip_4.tga",
"DhorPlugins/ChampionFervour/Resources/RKstyle/Pip_5.tga"
};

--Ardour PIP images, one for each pip
sFPipImageA = {
"DhorPlugins/ChampionFervour/Resources/RKstyle/Pip_1a.tga",
"DhorPlugins/ChampionFervour/Resources/RKstyle/Pip_2a.tga",
"DhorPlugins/ChampionFervour/Resources/RKstyle/Pip_3a.tga",
"DhorPlugins/ChampionFervour/Resources/RKstyle/Pip_4a.tga",
"DhorPlugins/ChampionFervour/Resources/RKstyle/Pip_5a.tga"
};

--Fervour PIP images, one for each pip
sFPipImageF = {
"DhorPlugins/ChampionFervour/Resources/RKstyle/Pip_1f.tga",
"DhorPlugins/ChampionFervour/Resources/RKstyle/Pip_2f.tga",
"DhorPlugins/ChampionFervour/Resources/RKstyle/Pip_3f.tga",
"DhorPlugins/ChampionFervour/Resources/RKstyle/Pip_4f.tga",
"DhorPlugins/ChampionFervour/Resources/RKstyle/Pip_5f.tga"
};
 
--Glory PIP images, one for each pip
sFPipImageG = {
"DhorPlugins/ChampionFervour/Resources/RKstyle/Pip_1g.tga",
"DhorPlugins/ChampionFervour/Resources/RKstyle/Pip_2g.tga",
"DhorPlugins/ChampionFervour/Resources/RKstyle/Pip_3g.tga",
"DhorPlugins/ChampionFervour/Resources/RKstyle/Pip_4g.tga",
"DhorPlugins/ChampionFervour/Resources/RKstyle/Pip_5g.tga"
};